<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/PPERequestData.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d2c/_p_p_e_request_data_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPERequestData.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d2c/_p_p_e_request_data_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/dbb/class_p_p_e_request_param_data_base.html">PPERequestParamDataBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a4eeab4a0e3a83e85b9b5e24373c754dd">    4</a></span>    <a class="code hl_class" href="../../d0/d96/class_p_p_e_requester_base.html">PPERequesterBase</a> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a4eeab4a0e3a83e85b9b5e24373c754dd">m_Requester</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a49e9e08761e4dc07477c55b8032c2e03">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a49e9e08761e4dc07477c55b8032c2e03">m_UpdatingDataValues</a>; <span class="comment">//new values are being sent periodically</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a36ff7b9629c5708e9c3ee60873e3797b">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a36ff7b9629c5708e9c3ee60873e3797b">m_IsActive</a>; <span class="comment">//hasn&#39;t been stopped yet (does not have to update values)</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af4ec3f70e03a6e66112ec6059fd983ee">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af4ec3f70e03a6e66112ec6059fd983ee">m_SettingDefaultValues</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a0f7a274efe27e366e5e5797e5ef07e31">    9</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a0f7a274efe27e366e5e5797e5ef07e31">m_MaterialID</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7b221d75461d2a13a5ca0034d82001a6">   10</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7b221d75461d2a13a5ca0034d82001a6">m_ParameterID</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af14d97b8ef3597cdc01c5c9ae8cdd415">   11</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af14d97b8ef3597cdc01c5c9ae8cdd415">m_VariableType</a>; <span class="comment">//PPEConstants.VAR_TYPE_INT etc.</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ac0eb3d95dd4c42f28ff233b5163cdca8">   12</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ac0eb3d95dd4c42f28ff233b5163cdca8">m_RequesterIDX</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7c4d050e254fde0fdf4e568f2127b283">   13</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7c4d050e254fde0fdf4e568f2127b283">m_InteractionMask</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a1982e502871a0cb2206dd796aa165193">   14</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a1982e502871a0cb2206dd796aa165193">m_Priority</a>; <span class="comment">//de-facto blending layer</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7d0745d5bf24e0832da91de1d91bee45">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7d0745d5bf24e0832da91de1d91bee45">PPERequestParamDataBase</a>(<span class="keywordtype">int</span> requester_idx, <span class="keywordtype">int</span> mat_id, <span class="keywordtype">int</span> param_id, <span class="keywordtype">int</span> data_type = 0, <span class="keywordtype">int</span> priority = 0, <span class="keywordtype">int</span> mask = <a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET)</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ac0eb3d95dd4c42f28ff233b5163cdca8">m_RequesterIDX</a> = requester_idx;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a0f7a274efe27e366e5e5797e5ef07e31">m_MaterialID</a> = mat_id;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7b221d75461d2a13a5ca0034d82001a6">m_ParameterID</a> = param_id;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af14d97b8ef3597cdc01c5c9ae8cdd415">m_VariableType</a> = data_type;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a1982e502871a0cb2206dd796aa165193">m_Priority</a> = priority;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7c4d050e254fde0fdf4e568f2127b283">m_InteractionMask</a> = mask;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a49e9e08761e4dc07477c55b8032c2e03">m_UpdatingDataValues</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af4ec3f70e03a6e66112ec6059fd983ee">m_SettingDefaultValues</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a36ff7b9629c5708e9c3ee60873e3797b">m_IsActive</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a2ca4fb10612e73fd4fda8659cb9a784c">InitValues</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a2ca4fb10612e73fd4fda8659cb9a784c">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a2ca4fb10612e73fd4fda8659cb9a784c">InitValues</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a3606ffc6bbe22721e0669b32846d3b05">   34</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a3606ffc6bbe22721e0669b32846d3b05">SetUpdatingDataValues</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a49e9e08761e4dc07477c55b8032c2e03">m_UpdatingDataValues</a> = state;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af60b4e56e9811f3bc75c83a3b0f04099">   39</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af60b4e56e9811f3bc75c83a3b0f04099">GetUpdatingDataValues</a>()</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a49e9e08761e4dc07477c55b8032c2e03">m_UpdatingDataValues</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a1a680b44026a01f1ae0c66c29844883e">   44</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a1a680b44026a01f1ae0c66c29844883e">SetDataActive</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a36ff7b9629c5708e9c3ee60873e3797b">m_IsActive</a> = state;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ad0a9a50e96be693b71221e23189bd264">   49</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ad0a9a50e96be693b71221e23189bd264">IsDataActive</a>()</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a36ff7b9629c5708e9c3ee60873e3797b">m_IsActive</a>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#abc33e7faef310c13d8c517710b37d380">   54</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#abc33e7faef310c13d8c517710b37d380">SetSettingDefaultValues</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af4ec3f70e03a6e66112ec6059fd983ee">m_SettingDefaultValues</a> = state;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a491eb4da873fdc4f78cb4d6c27064511">   59</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a491eb4da873fdc4f78cb4d6c27064511">IsSettingDefaultValues</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af4ec3f70e03a6e66112ec6059fd983ee">m_SettingDefaultValues</a>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a6891c5d227f544c7982698a15fab9b9f">   64</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a6891c5d227f544c7982698a15fab9b9f">GetRequesterIDX</a>()</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ac0eb3d95dd4c42f28ff233b5163cdca8">m_RequesterIDX</a>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ab0dfdaa1158d2ee75f2cce4e8f651832">   69</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ab0dfdaa1158d2ee75f2cce4e8f651832">GetMaterialID</a>()</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a0f7a274efe27e366e5e5797e5ef07e31">m_MaterialID</a>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a57d007c700cee2aa8868d6bb545b9a00">   74</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a57d007c700cee2aa8868d6bb545b9a00">GetParameterID</a>()</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7b221d75461d2a13a5ca0034d82001a6">m_ParameterID</a>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af2162209ad8ee3443f42d349c92d5ddc">   79</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af2162209ad8ee3443f42d349c92d5ddc">GetVarType</a>()</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af14d97b8ef3597cdc01c5c9ae8cdd415">m_VariableType</a>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a9b8572d8b06a72fabc50923def263137">   84</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a9b8572d8b06a72fabc50923def263137">SetInteractionMask</a>(<span class="keywordtype">int</span> mask)</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7c4d050e254fde0fdf4e568f2127b283">m_InteractionMask</a> = mask;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ad7ad736964efec9e49936079ca33e0a5">   89</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ad7ad736964efec9e49936079ca33e0a5">GetInteractionMask</a>()</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7c4d050e254fde0fdf4e568f2127b283">m_InteractionMask</a>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a011551dd1397bdb9e690f69e9cc1226d">   94</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a011551dd1397bdb9e690f69e9cc1226d">SetPriorityLayer</a>(<span class="keywordtype">int</span> priority)</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a1982e502871a0cb2206dd796aa165193">m_Priority</a> = priority;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a60d51dfc57a1ccbc25345731cf98f6c5">   99</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a60d51dfc57a1ccbc25345731cf98f6c5">GetPriorityLayer</a>()</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a1982e502871a0cb2206dd796aa165193">m_Priority</a>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>}</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span><span class="keyword">class </span><a class="code hl_function" href="../../d4/d2c/_p_p_e_request_data_8c.html#a0a7c7cd02df0aa42da322a08415af1e8">PPERequestParamDataBool</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d0/dbb/class_p_p_e_request_param_data_base.html">PPERequestParamDataBase</a></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>{</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#a335c987aafd2deb0bc54de41d4ccdb7e">  107</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a335c987aafd2deb0bc54de41d4ccdb7e">m_BoolTarget</a>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#a47b55a4b2f483e08a8281de61b052b32">  108</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a47b55a4b2f483e08a8281de61b052b32">m_BoolCurrent</a>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#a702d3a159f35c815861fe1fe322aec9f">  109</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a702d3a159f35c815861fe1fe322aec9f">m_BoolLast</a>;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#a0a7c7cd02df0aa42da322a08415af1e8">  111</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d2c/_p_p_e_request_data_8c.html#a0a7c7cd02df0aa42da322a08415af1e8">PPERequestParamDataBool</a>(<span class="keywordtype">int</span> requester_idx, <span class="keywordtype">int</span> mat_id, <span class="keywordtype">int</span> param_id, <span class="keywordtype">int</span> data_type = 0, <span class="keywordtype">int</span> priority = 0, <span class="keywordtype">int</span> mask = <a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET, <span class="keywordtype">bool</span> relative = <span class="keyword">false</span> )</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a47b55a4b2f483e08a8281de61b052b32">m_BoolCurrent</a> = 0;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a702d3a159f35c815861fe1fe322aec9f">m_BoolLast</a> = 0;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        m_VariableType = PPEConstants.VAR_TYPE_BOOL;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>}</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span><span class="keyword">class </span>PPERequestParamDataInt <span class="keyword">extends</span> <a class="code hl_class" href="../../d0/dbb/class_p_p_e_request_param_data_base.html">PPERequestParamDataBase</a></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>{</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aa8d8196dff9a1913dba5b9bd1a2b3efd">  121</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aa8d8196dff9a1913dba5b9bd1a2b3efd">m_IntTarget</a>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a2c56c87f78a20bc856cda0dfbdc5d998">  122</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a2c56c87f78a20bc856cda0dfbdc5d998">m_IntCurrent</a>;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a8416af3c48b597291e5326a60e002f40">  123</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a8416af3c48b597291e5326a60e002f40">m_IntLast</a>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aadc2176862be7ccf9b9d5d41c057637c">  125</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aadc2176862be7ccf9b9d5d41c057637c">PPERequestParamDataInt</a>(<span class="keywordtype">int</span> requester_idx, <span class="keywordtype">int</span> mat_id, <span class="keywordtype">int</span> param_id, <span class="keywordtype">int</span> data_type = 0, <span class="keywordtype">int</span> priority = 0, <span class="keywordtype">int</span> mask = <a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET, <span class="keywordtype">bool</span> relative = <span class="keyword">false</span> )</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        m_IntCurrent = -1;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        m_IntLast = -1;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        m_VariableType = PPEConstants.VAR_TYPE_INT;</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>}</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span><span class="keyword">class </span><a class="code hl_function" href="../../d4/d2c/_p_p_e_request_data_8c.html#a988419ef16bcf195517ce29f2c7fbcf6">PPERequestParamDataFloat</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d0/dbb/class_p_p_e_request_param_data_base.html">PPERequestParamDataBase</a></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>{</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#a4d6d159720ad0700a9fa7250afd79503">  135</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a4d6d159720ad0700a9fa7250afd79503">m_FloatTarget</a>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#a7bd0c0eabba4754c427ebfd16bb422d2">  136</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a7bd0c0eabba4754c427ebfd16bb422d2">m_FloatCurrent</a>;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#af0c02f24539804d9c916d7ffcc7613f4">  137</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#af0c02f24539804d9c916d7ffcc7613f4">m_FloatLast</a>;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#ad1c6ff31a639ff8bc8848edc4229dd48">  139</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#ad1c6ff31a639ff8bc8848edc4229dd48">m_FloatFormerTarget</a>;<span class="comment">//former target; remnants of a fading mechanic...revise and re-connect?</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#afa084b5edc97c686c6088d72e76c8b3d">  140</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#afa084b5edc97c686c6088d72e76c8b3d">m_FloatStart</a>;<span class="comment">//actual start value; remnants of a fading mechanic...revise and re-connect?</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#a988419ef16bcf195517ce29f2c7fbcf6">  142</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d2c/_p_p_e_request_data_8c.html#a988419ef16bcf195517ce29f2c7fbcf6">PPERequestParamDataFloat</a>(<span class="keywordtype">int</span> requester_idx, <span class="keywordtype">int</span> mat_id, <span class="keywordtype">int</span> param_id, <span class="keywordtype">int</span> data_type = 0, <span class="keywordtype">int</span> priority = 0, <span class="keywordtype">int</span> mask = <a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET, <span class="keywordtype">bool</span> relative = <span class="keyword">false</span> )</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        m_VariableType = PPEConstants.VAR_TYPE_FLOAT;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#a6f6c3635063f75c4059e2fb9ceff8adf">  147</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a2ca4fb10612e73fd4fda8659cb9a784c">InitValues</a>()</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    {</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a4d6d159720ad0700a9fa7250afd79503">m_FloatTarget</a> = <span class="keywordtype">float</span>.LOWEST;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a7bd0c0eabba4754c427ebfd16bb422d2">m_FloatCurrent</a> = <span class="keywordtype">float</span>.<a class="code hl_variable" href="../../d4/dc3/classfloat.html#ab022ffac8e11da5c6c5d49307e8ebc20">LOWEST</a>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#af0c02f24539804d9c916d7ffcc7613f4">m_FloatLast</a> = <span class="keywordtype">float</span>.<a class="code hl_variable" href="../../d4/dc3/classfloat.html#ab022ffac8e11da5c6c5d49307e8ebc20">LOWEST</a>;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#ad1c6ff31a639ff8bc8848edc4229dd48">m_FloatFormerTarget</a> = <span class="keywordtype">float</span>.<a class="code hl_variable" href="../../d4/dc3/classfloat.html#ab022ffac8e11da5c6c5d49307e8ebc20">LOWEST</a>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#afa084b5edc97c686c6088d72e76c8b3d">m_FloatStart</a> = <span class="keywordtype">float</span>.<a class="code hl_variable" href="../../d4/dc3/classfloat.html#ab022ffac8e11da5c6c5d49307e8ebc20">LOWEST</a>;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>}</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span><span class="keyword">class </span>PPERequestParamDataColor <span class="keyword">extends</span> <a class="code hl_class" href="../../d0/dbb/class_p_p_e_request_param_data_base.html">PPERequestParamDataBase</a></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>{</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aa608ce0599c8cfdbe3962307023a8a86">  159</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a>  <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aa608ce0599c8cfdbe3962307023a8a86">m_ColorTarget</a>;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a84cac9db23acbd4846fdc71ff69a418f">  160</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a>  <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a84cac9db23acbd4846fdc71ff69a418f">m_ColorCurrent</a>;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aeda2b11bd78a75a429dfa04265f00516">  161</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a>  <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aeda2b11bd78a75a429dfa04265f00516">m_ColorLast</a>;</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aed5f17a5982bc65afb22600c5e34864b">  163</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a>  <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aed5f17a5982bc65afb22600c5e34864b">m_ColorFormerTarget</a>;<span class="comment">//former target; remnants of a fading mechanic...revise and re-connect?</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a4da67e55c902b8e33dc75705983088d0">  164</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a>  <a class="code hl_variable" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a4da67e55c902b8e33dc75705983088d0">m_ColorStart</a>;<span class="comment">//actual start values; remnants of a fading mechanic...revise and re-connect?</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af161e3339c59f58ff4799dc08d7ed4d7">  166</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af161e3339c59f58ff4799dc08d7ed4d7">PPERequestParamDataColor</a>(<span class="keywordtype">int</span> requester_idx, <span class="keywordtype">int</span> mat_id, <span class="keywordtype">int</span> param_id, <span class="keywordtype">int</span> data_type = 0, <span class="keywordtype">int</span> priority = 0, <span class="keywordtype">int</span> mask = <a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET, <span class="keywordtype">bool</span> relative = <span class="keyword">false</span> )</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        m_VariableType = PPEConstants.VAR_TYPE_COLOR;</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a049b988582d2e02a8456d28dc2726709">  171</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a049b988582d2e02a8456d28dc2726709">InitValues</a>()</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    {</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        m_ColorTarget = {0.0,0.0,0.0,0.0};</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        m_ColorCurrent = {0,0.0,0.0,0.0};</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        m_ColorLast = {0.0,0.0,0.0,0.0};</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        m_ColorFormerTarget = {0.0,0.0,0.0,0.0};</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        m_ColorStart = {0.0,0.0,0.0,0.0};</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>}</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span><span class="comment">//TODO</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span><span class="keyword">class </span>PPERequestParamDataVector <span class="keyword">extends</span> <a class="code hl_class" href="../../d0/dbb/class_p_p_e_request_param_data_base.html">PPERequestParamDataBase</a></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>{</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#a826c6e3752b6cda62606bb2b2559b6e0">  184</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a826c6e3752b6cda62606bb2b2559b6e0">m_VectorTarget</a>;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#a6d3c9a395f4055f0c5828f2432101e60">  185</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a6d3c9a395f4055f0c5828f2432101e60">m_VectorCurrent</a>;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno"><a class="line" href="../../d4/d2c/_p_p_e_request_data_8c.html#a835fbd0f46892e1333012f823c7f49a7">  186</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../d4/d2c/_p_p_e_request_data_8c.html#a835fbd0f46892e1333012f823c7f49a7">m_VectorLast</a>;</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>}</div>
<div class="ttc" id="a_p_p_e_constants_8c_html_a055fe6645543d5aac6f214277f064eda"><div class="ttname"><a href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a></div><div class="ttdeci">PPOperators</div><div class="ttdoc">PP operator masks specify operation between subsequent layers.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d76/_p_p_e_constants_8c_source.html#l00051">PPEConstants.c:52</a></div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_a0a7c7cd02df0aa42da322a08415af1e8"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#a0a7c7cd02df0aa42da322a08415af1e8">PPERequestParamDataBool</a></div><div class="ttdeci">void PPERequestParamDataBool(int requester_idx, int mat_id, int param_id, int data_type=0, int priority=0, int mask=PPOperators.SET, bool relative=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00111">PPERequestData.c:111</a></div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_a335c987aafd2deb0bc54de41d4ccdb7e"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#a335c987aafd2deb0bc54de41d4ccdb7e">m_BoolTarget</a></div><div class="ttdeci">class PPERequestParamDataBase m_BoolTarget</div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_a47b55a4b2f483e08a8281de61b052b32"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#a47b55a4b2f483e08a8281de61b052b32">m_BoolCurrent</a></div><div class="ttdeci">bool m_BoolCurrent</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00108">PPERequestData.c:108</a></div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_a4d6d159720ad0700a9fa7250afd79503"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#a4d6d159720ad0700a9fa7250afd79503">m_FloatTarget</a></div><div class="ttdeci">class PPERequestParamDataInt extends PPERequestParamDataBase m_FloatTarget</div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_a6d3c9a395f4055f0c5828f2432101e60"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#a6d3c9a395f4055f0c5828f2432101e60">m_VectorCurrent</a></div><div class="ttdeci">vector m_VectorCurrent</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00185">PPERequestData.c:185</a></div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_a702d3a159f35c815861fe1fe322aec9f"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#a702d3a159f35c815861fe1fe322aec9f">m_BoolLast</a></div><div class="ttdeci">bool m_BoolLast</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00109">PPERequestData.c:109</a></div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_a7bd0c0eabba4754c427ebfd16bb422d2"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#a7bd0c0eabba4754c427ebfd16bb422d2">m_FloatCurrent</a></div><div class="ttdeci">float m_FloatCurrent</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00136">PPERequestData.c:136</a></div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_a826c6e3752b6cda62606bb2b2559b6e0"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#a826c6e3752b6cda62606bb2b2559b6e0">m_VectorTarget</a></div><div class="ttdeci">class PPERequestParamDataColor extends PPERequestParamDataBase m_VectorTarget</div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_a835fbd0f46892e1333012f823c7f49a7"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#a835fbd0f46892e1333012f823c7f49a7">m_VectorLast</a></div><div class="ttdeci">vector m_VectorLast</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00186">PPERequestData.c:186</a></div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_a988419ef16bcf195517ce29f2c7fbcf6"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#a988419ef16bcf195517ce29f2c7fbcf6">PPERequestParamDataFloat</a></div><div class="ttdeci">void PPERequestParamDataFloat(int requester_idx, int mat_id, int param_id, int data_type=0, int priority=0, int mask=PPOperators.SET, bool relative=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00142">PPERequestData.c:142</a></div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_ad1c6ff31a639ff8bc8848edc4229dd48"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#ad1c6ff31a639ff8bc8848edc4229dd48">m_FloatFormerTarget</a></div><div class="ttdeci">float m_FloatFormerTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00139">PPERequestData.c:139</a></div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_af0c02f24539804d9c916d7ffcc7613f4"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#af0c02f24539804d9c916d7ffcc7613f4">m_FloatLast</a></div><div class="ttdeci">float m_FloatLast</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00137">PPERequestData.c:137</a></div></div>
<div class="ttc" id="a_p_p_e_request_data_8c_html_afa084b5edc97c686c6088d72e76c8b3d"><div class="ttname"><a href="../../d4/d2c/_p_p_e_request_data_8c.html#afa084b5edc97c686c6088d72e76c8b3d">m_FloatStart</a></div><div class="ttdeci">float m_FloatStart</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00140">PPERequestData.c:140</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html">PPERequestParamDataBase</a></div><div class="ttdoc">Data for one material parameter, requester side.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00002">PPERequestData.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a011551dd1397bdb9e690f69e9cc1226d"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a011551dd1397bdb9e690f69e9cc1226d">PPERequestParamDataBase::SetPriorityLayer</a></div><div class="ttdeci">void SetPriorityLayer(int priority)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00094">PPERequestData.c:94</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a049b988582d2e02a8456d28dc2726709"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a049b988582d2e02a8456d28dc2726709">PPERequestParamDataBase::InitValues</a></div><div class="ttdeci">override void InitValues()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00171">PPERequestData.c:171</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a0f7a274efe27e366e5e5797e5ef07e31"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a0f7a274efe27e366e5e5797e5ef07e31">PPERequestParamDataBase::m_MaterialID</a></div><div class="ttdeci">protected int m_MaterialID</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00009">PPERequestData.c:9</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a1982e502871a0cb2206dd796aa165193"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a1982e502871a0cb2206dd796aa165193">PPERequestParamDataBase::m_Priority</a></div><div class="ttdeci">protected int m_Priority</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00014">PPERequestData.c:14</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a1a680b44026a01f1ae0c66c29844883e"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a1a680b44026a01f1ae0c66c29844883e">PPERequestParamDataBase::SetDataActive</a></div><div class="ttdeci">void SetDataActive(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00044">PPERequestData.c:44</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a2c56c87f78a20bc856cda0dfbdc5d998"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a2c56c87f78a20bc856cda0dfbdc5d998">PPERequestParamDataBase::m_IntCurrent</a></div><div class="ttdeci">int m_IntCurrent</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00122">PPERequestData.c:122</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a2ca4fb10612e73fd4fda8659cb9a784c"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a2ca4fb10612e73fd4fda8659cb9a784c">PPERequestParamDataBase::InitValues</a></div><div class="ttdeci">void InitValues()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00030">PPERequestData.c:30</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a3606ffc6bbe22721e0669b32846d3b05"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a3606ffc6bbe22721e0669b32846d3b05">PPERequestParamDataBase::SetUpdatingDataValues</a></div><div class="ttdeci">void SetUpdatingDataValues(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00034">PPERequestData.c:34</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a36ff7b9629c5708e9c3ee60873e3797b"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a36ff7b9629c5708e9c3ee60873e3797b">PPERequestParamDataBase::m_IsActive</a></div><div class="ttdeci">protected bool m_IsActive</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00006">PPERequestData.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a491eb4da873fdc4f78cb4d6c27064511"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a491eb4da873fdc4f78cb4d6c27064511">PPERequestParamDataBase::IsSettingDefaultValues</a></div><div class="ttdeci">bool IsSettingDefaultValues()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00059">PPERequestData.c:59</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a49e9e08761e4dc07477c55b8032c2e03"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a49e9e08761e4dc07477c55b8032c2e03">PPERequestParamDataBase::m_UpdatingDataValues</a></div><div class="ttdeci">protected bool m_UpdatingDataValues</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00005">PPERequestData.c:5</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a4da67e55c902b8e33dc75705983088d0"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a4da67e55c902b8e33dc75705983088d0">PPERequestParamDataBase::m_ColorStart</a></div><div class="ttdeci">ref array&lt; float &gt; m_ColorStart</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00164">PPERequestData.c:164</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a4eeab4a0e3a83e85b9b5e24373c754dd"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a4eeab4a0e3a83e85b9b5e24373c754dd">PPERequestParamDataBase::m_Requester</a></div><div class="ttdeci">PPERequesterBase m_Requester</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00004">PPERequestData.c:4</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a57d007c700cee2aa8868d6bb545b9a00"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a57d007c700cee2aa8868d6bb545b9a00">PPERequestParamDataBase::GetParameterID</a></div><div class="ttdeci">int GetParameterID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00074">PPERequestData.c:74</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a60d51dfc57a1ccbc25345731cf98f6c5"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a60d51dfc57a1ccbc25345731cf98f6c5">PPERequestParamDataBase::GetPriorityLayer</a></div><div class="ttdeci">int GetPriorityLayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00099">PPERequestData.c:99</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a6891c5d227f544c7982698a15fab9b9f"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a6891c5d227f544c7982698a15fab9b9f">PPERequestParamDataBase::GetRequesterIDX</a></div><div class="ttdeci">int GetRequesterIDX()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00064">PPERequestData.c:64</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a7b221d75461d2a13a5ca0034d82001a6"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7b221d75461d2a13a5ca0034d82001a6">PPERequestParamDataBase::m_ParameterID</a></div><div class="ttdeci">protected int m_ParameterID</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00010">PPERequestData.c:10</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a7c4d050e254fde0fdf4e568f2127b283"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7c4d050e254fde0fdf4e568f2127b283">PPERequestParamDataBase::m_InteractionMask</a></div><div class="ttdeci">protected int m_InteractionMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00013">PPERequestData.c:13</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a7d0745d5bf24e0832da91de1d91bee45"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a7d0745d5bf24e0832da91de1d91bee45">PPERequestParamDataBase::PPERequestParamDataBase</a></div><div class="ttdeci">void PPERequestParamDataBase(int requester_idx, int mat_id, int param_id, int data_type=0, int priority=0, int mask=PPOperators.SET)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00016">PPERequestData.c:16</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a8416af3c48b597291e5326a60e002f40"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a8416af3c48b597291e5326a60e002f40">PPERequestParamDataBase::m_IntLast</a></div><div class="ttdeci">int m_IntLast</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00123">PPERequestData.c:123</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a84cac9db23acbd4846fdc71ff69a418f"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a84cac9db23acbd4846fdc71ff69a418f">PPERequestParamDataBase::m_ColorCurrent</a></div><div class="ttdeci">ref array&lt; float &gt; m_ColorCurrent</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00160">PPERequestData.c:160</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_a9b8572d8b06a72fabc50923def263137"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#a9b8572d8b06a72fabc50923def263137">PPERequestParamDataBase::SetInteractionMask</a></div><div class="ttdeci">void SetInteractionMask(int mask)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00084">PPERequestData.c:84</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_aa608ce0599c8cfdbe3962307023a8a86"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aa608ce0599c8cfdbe3962307023a8a86">PPERequestParamDataBase::m_ColorTarget</a></div><div class="ttdeci">ref array&lt; float &gt; m_ColorTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00159">PPERequestData.c:159</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_aa8d8196dff9a1913dba5b9bd1a2b3efd"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aa8d8196dff9a1913dba5b9bd1a2b3efd">PPERequestParamDataBase::m_IntTarget</a></div><div class="ttdeci">int m_IntTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00121">PPERequestData.c:121</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_aadc2176862be7ccf9b9d5d41c057637c"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aadc2176862be7ccf9b9d5d41c057637c">PPERequestParamDataBase::PPERequestParamDataInt</a></div><div class="ttdeci">void PPERequestParamDataInt(int requester_idx, int mat_id, int param_id, int data_type=0, int priority=0, int mask=PPOperators.SET, bool relative=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00125">PPERequestData.c:125</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_ab0dfdaa1158d2ee75f2cce4e8f651832"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ab0dfdaa1158d2ee75f2cce4e8f651832">PPERequestParamDataBase::GetMaterialID</a></div><div class="ttdeci">int GetMaterialID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00069">PPERequestData.c:69</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_abc33e7faef310c13d8c517710b37d380"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#abc33e7faef310c13d8c517710b37d380">PPERequestParamDataBase::SetSettingDefaultValues</a></div><div class="ttdeci">void SetSettingDefaultValues(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00054">PPERequestData.c:54</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_ac0eb3d95dd4c42f28ff233b5163cdca8"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ac0eb3d95dd4c42f28ff233b5163cdca8">PPERequestParamDataBase::m_RequesterIDX</a></div><div class="ttdeci">protected int m_RequesterIDX</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00012">PPERequestData.c:12</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_ad0a9a50e96be693b71221e23189bd264"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ad0a9a50e96be693b71221e23189bd264">PPERequestParamDataBase::IsDataActive</a></div><div class="ttdeci">bool IsDataActive()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00049">PPERequestData.c:49</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_ad7ad736964efec9e49936079ca33e0a5"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#ad7ad736964efec9e49936079ca33e0a5">PPERequestParamDataBase::GetInteractionMask</a></div><div class="ttdeci">int GetInteractionMask()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00089">PPERequestData.c:89</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_aed5f17a5982bc65afb22600c5e34864b"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aed5f17a5982bc65afb22600c5e34864b">PPERequestParamDataBase::m_ColorFormerTarget</a></div><div class="ttdeci">ref array&lt; float &gt; m_ColorFormerTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00163">PPERequestData.c:163</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_aeda2b11bd78a75a429dfa04265f00516"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#aeda2b11bd78a75a429dfa04265f00516">PPERequestParamDataBase::m_ColorLast</a></div><div class="ttdeci">ref array&lt; float &gt; m_ColorLast</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00161">PPERequestData.c:161</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_af14d97b8ef3597cdc01c5c9ae8cdd415"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af14d97b8ef3597cdc01c5c9ae8cdd415">PPERequestParamDataBase::m_VariableType</a></div><div class="ttdeci">protected int m_VariableType</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00011">PPERequestData.c:11</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_af161e3339c59f58ff4799dc08d7ed4d7"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af161e3339c59f58ff4799dc08d7ed4d7">PPERequestParamDataBase::PPERequestParamDataColor</a></div><div class="ttdeci">void PPERequestParamDataColor(int requester_idx, int mat_id, int param_id, int data_type=0, int priority=0, int mask=PPOperators.SET, bool relative=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00166">PPERequestData.c:166</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_af2162209ad8ee3443f42d349c92d5ddc"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af2162209ad8ee3443f42d349c92d5ddc">PPERequestParamDataBase::GetVarType</a></div><div class="ttdeci">int GetVarType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00079">PPERequestData.c:79</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_af4ec3f70e03a6e66112ec6059fd983ee"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af4ec3f70e03a6e66112ec6059fd983ee">PPERequestParamDataBase::m_SettingDefaultValues</a></div><div class="ttdeci">protected bool m_SettingDefaultValues</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00007">PPERequestData.c:7</a></div></div>
<div class="ttc" id="aclass_p_p_e_request_param_data_base_html_af60b4e56e9811f3bc75c83a3b0f04099"><div class="ttname"><a href="../../d0/dbb/class_p_p_e_request_param_data_base.html#af60b4e56e9811f3bc75c83a3b0f04099">PPERequestParamDataBase::GetUpdatingDataValues</a></div><div class="ttdeci">bool GetUpdatingDataValues()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_p_p_e_request_data_8c_source.html#l00039">PPERequestData.c:39</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester_base_html"><div class="ttname"><a href="../../d0/d96/class_p_p_e_requester_base.html">PPERequesterBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dbe/_p_p_e_request_platforms_base_8c_source.html#l00002">PPERequestPlatformsBase.c:3</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="aclassfloat_html_ab022ffac8e11da5c6c5d49307e8ebc20"><div class="ttname"><a href="../../d4/dc3/classfloat.html#ab022ffac8e11da5c6c5d49307e8ebc20">float::LOWEST</a></div><div class="ttdeci">const float LOWEST</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00094">EnConvert.c:94</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../d4/d2c/_p_p_e_request_data_8c.html">PPERequestData.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
